ManagedDoubleKeyMap (Groovy 2.4.3)
Date: 2015-03-23

org.codehaus.groovy.util

## Class ManagedDoubleKeyMap<K1,K2,V>

- java.lang.Object
- - org.codehaus.groovy.util.AbstractConcurrentMapBase
  - - org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap<K1,K2,V>
    - - org.codehaus.groovy.util.ManagedDoubleKeyMap<K1,K2,V>

-     public class ManagedDoubleKeyMap<K1,K2,V>
      extends AbstractConcurrentDoubleKeyMap<K1,K2,V>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ManagedDoubleKeyMap.Entry<K1,K2,V>`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

      `MAXIMUM_CAPACITY, segments`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedDoubleKeyMap(ReferenceBundle bundle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap.Segment<K1,K2,V>` | `createSegment(Object segmentInfo, int cap)`

    - ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap

      `get, getOrPut, put, remove, segmentFor`

    - ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

      `fullSize, hash, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedDoubleKeyMap

          public ManagedDoubleKeyMap(ReferenceBundle bundle)

  - ### Method Detail

    - #### createSegment

          protected org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap.Segment<K1,K2,V> createSegment(Object segmentInfo,
                                                                                               int cap)

      Specified by:
        `createSegment` in class `AbstractConcurrentMapBase`